﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "extramxid" })]
    public sealed class u_mattress_extra
    {
        /// <summary>
        /// 项目id
        /// </summary>
        public int? extramxid { get; set; }
        /// <summary>
        /// 类型id
        /// </summary>
        public int? extraid { get; set; }
        /// <summary>
        /// 项目类型id
        /// </summary>
        public int? typeid { get; set; }
        /// <summary>
        /// 项目名称
        /// </summary>
        public string extramxname { get; set; }
        /// <summary>
        /// 默认金额
        /// </summary>
        public decimal? price { get; set; }
        public decimal? qty { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string dscrp { get; set; }
        /// <summary>
        /// 禁用
        /// </summary>
        public byte? inuse { get; set; }
        /// <summary>
        /// 自动导入
        /// </summary>
        public byte? ifinit { get; set; }
        /// <summary>
        /// 建立人
        /// </summary>
        public string createby { get; set; }
        /// <summary>
        /// 建立时间
        /// </summary>
        public DateTime? createtime { get; set; }
        /// <summary>
        /// 录入类型
        /// </summary>
        public int? inputtype { get; set; }

    }
}
