﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.BLL;
using LJLib.DAL.SQL;

namespace JLHHJSvr.DBA.DBModle
{
    [PK(new[] { "Empid" })]
    public sealed class u_user_jlhprice
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int empid { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string userid { get; set; }
        /// <summary>
        /// 真实名
        /// </summary>
        public string username { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string psw { get; set; }
        public string rightstring { get; set; }
        public string descrp { get; set; }
        public string deptstr { get; set; }
        public string outrepstr { get; set; }
        public string pricelist_seestr { get; set; }
        public string pricelist_editstr { get; set; }
        public int usermode { get; set; }
        public int access_failed_count { get; set; }
        public DateTime? last_failed_attempt_time { get; set; }
        public bool isLocked
        {
            get
            {
                return UserHelper.IsLocked(this);
            }
        }
    }
}
