import type { Menu } from "@/typings/global";
/**
 * @argument name ERP接口：床垫清单
 */
export const erpApiRouter: Menu.MenuOptions[] = [
  {
    path: "/erpapi",
    name: "erpapi",
    meta: {
      icon: "Common_Business.png",
      title: "ERP接口",
      isLink: "",
      isHide: false,
      isFull: false,
      isAffix: false,
      isKeepAlive: true,
      funid: 61
    },
    children: [
      {
        path: "/erpapi/mattressInterface",
        name: "mattressInterface",
        component: "/erpapi/mattressInterface/index",
        meta: {
          icon: "Common_Business.png",
          title: "床垫清单",
          isLink: "",
          isHide: false,
          isFull: false,
          isAffix: false,
          isKeepAlive: true,
          isSubMenu: false,
          activeMenu: "/erpapi",
          funid: 61
        },
        children: [
          // {
          //   path: "/erpapi/mattressInterface/detail",
          //   name: "mattressInterfaceDetail",
          //   component: "/erpapi/mattressInterface/detail",
          //   meta: {
          //     title: "床垫清单详情",
          //     isLink: "",
          //     isHide: true,
          //     isFull: false,
          //     isAffix: false,
          //     isKeepAlive: true,
          //     activeMenu: "/erpapi/mattressInterface"
          //   }
          // },
          // {
          //   path: "/erpapi/mattressInterface/edit",
          //   name: "mattressInterfaceEdit",
          //   component: "/erpapi/mattressInterface/detail",
          //   meta: {
          //     icon: "iconuser-01",
          //     title: "修改床垫清单",
          //     isLink: "",
          //     isHide: true,
          //     isFull: false,
          //     isAffix: false,
          //     isKeepAlive: true,
          //     funid: 61,
          //     activeMenu: "/erpapi/mattressInterface"
          //   }
          // }
          {
            path: "/erpapi/mattressInterface/detail/:id",
            name: "mattressInterfaceDetail",
            component: "/erpapi/mattressInterface/detail",
            meta: {
              icon: "iconpackage",
              title: "床垫清单详情",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: true,
              funid: 71,
              activeMenu: "/erpapi/mattressInterface"
            }
          },
          {
            path: "/erpapi/mattressInterface/edit/:id",
            name: "mattressInterfaceEditYw",
            component: "/erpapi/mattressInterface/detail",
            meta: {
              icon: "iconpackage",
              title: "修改床垫清单",
              isLink: "",
              isHide: true,
              isFull: false,
              isAffix: false,
              isKeepAlive: false,
              funid: 71,
              activeMenu: "/erpapi/mattressInterface"
            }
          }
          // {
          //   path: "/erpapi/mattressInterface/2/edit",
          //   name: "mattressInterfaceEditCp",
          //   component: "/erpapi/mattressInterface/detail",
          //   meta: {
          //     icon: "iconpackage",
          //     title: "修改床垫接口-产品补充",
          //     isLink: "",
          //     isHide: true,
          //     isFull: false,
          //     isAffix: false,
          //     isKeepAlive: false,
          //     funid: 71,
          //     activeMenu: "/erpapi/mattressInterface"
          //   }
          // },
          // {
          //   path: "/erpapi/mattressInterface/3/edit",
          //   name: "mattressInterfaceEditQd",
          //   component: "/erpapi/mattressInterface/detail",
          //   meta: {
          //     icon: "iconpackage",
          //     title: "修改床垫接口-清单补充",
          //     isLink: "",
          //     isHide: true,
          //     isFull: false,
          //     isAffix: false,
          //     isKeepAlive: false,
          //     funid: 71,
          //     activeMenu: "/erpapi/mattressInterface"
          //   }
          // }
        ]
      }
    ]
  }
];
