﻿using System.Collections.Generic;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 获取所有材料价
    /// </summary>
    public sealed class JLH_FetchPriceRequest: ILJRequest<JLH_FetchPriceResponse>
    {
        public string token { get; set; }
        public override string GetApiName()
        {
            return "JLH_FetchPrice";
        }
    }

    public sealed class JLH_FetchPriceResponse : LJResponse
    {
        /// <summary>
        /// 只有mtrlcode与price内容
        /// </summary>
        public List<u_configure_codemx> list { get; set; }
    }
}
