﻿using LJLib.DAL.SQL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JLHHJSvr.Com.Model
{
    [PK(new[] { "mtrltypeid" })]
    public sealed class u_mtrltype
    {
        /// <summary>
        /// 类别ID
        /// </summary>
        public int? mtrltypeid { get; set; }
        /// <summary>
        /// 类别编码
        /// </summary>
        public string typecode { get; set; }
        /// <summary>
        /// 类别名称
        /// </summary>
        public string mtrltype { get; set; }
        /// <summary>
        /// 禁用
        /// </summary>
        public byte? inuse { get; set; }
        /// <summary>
        /// 父级id
        /// </summary>
        public int? parentid { get; set; }
        /// <summary>
        /// 损耗率：散单系数浮动数
        /// </summary>
        public decimal? dannum1_rate { get; set; }
        /// <summary>
        /// 损耗率：标准系数浮动数
        /// </summary>
        public decimal? dannum2_rate { get; set; }
        /// <summary>
        /// 损耗率：大单系数浮动数
        /// </summary>
        public decimal? dannum3_rate { get; set; }
        /// <summary>
        /// 损耗率：小单系数浮动数
        /// </summary>
        public decimal? dannum4_rate { get; set; }


    }
}
