﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存床垫额外费用定义
    /// </summary>
    public sealed class SaveMattressExtraRequest : ILJRequest<SaveMattressExtraResponse>
    {
        public override string GetApiName()
        {
            return "SaveMattressExtra";
        }
        public string token { get; set; }
        /// <summary>
        /// 床网分区定义
        /// </summary>
        public u_mattress_extra data { get; set; }
    }

    public sealed class SaveMattressExtraResponse : LJResponse
    {
    }
}
