﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    /// <summary>
    /// 保存床垫额外费用类型
    /// </summary>
    public sealed class SaveMattressExtraTypeRequest : ILJRequest<SaveMattressExtraTypeResponse>
    {
        public override string GetApiName()
        {
            return "SaveMattressExtraType";
        }
        public string token { get; set; }
        /// <summary>
        /// 床网分区定义
        /// </summary>
        public u_mattress_extra_type data { get; set; }
    }

    public sealed class SaveMattressExtraTypeResponse : LJResponse
    {
    }
}
