﻿
namespace LJLib.Net.SPI.Com
{
    public abstract class ILJRequest
    {
        public abstract string GetApiName();
        public perf_event_log perf { get; set; }
    }

    public abstract class ILJRequest<T> : ILJRequest where T : LJResponse
    {
    }

    /// <summary>
    /// 性能跟进类
    /// </summary>
    public sealed class perf_event_log
    {
        public string EventName { get; set; }
        public string inputtext { get; set; }
        public string clientinfo { get; set; }
        public int? parm1 { get; set; }
        public int? parm2 { get; set; }
        public int? parm3 { get; set; }
        public int? parm4 { get; set; }
        public int? in_bytes { get; set; }
        public int? out_bytes { get; set; }
        public string dtList { get; set; }
    }
}
